# coding:utf-8
from dspawpy.diffusion.nebtools import write_json_chain, write_xyz_chain

# 将NEB计算路径下的构型链转成json格式文件
write_json_chain(
    preview=False,  # NEB计算如果已经完成，则可以不是预览模式
    directory="dspawpy_proj/dspawpy_tests/inputs/2.15",  # NEB计算目录
    step=-1,  # 默认保存最后一个离子步（最新）的构型链
    dst="dspawpy_proj/dspawpy_tests/outputs/us/8neb",  # 保存路径
    ignorels=False,  # 设为True则忽略 latestStructureXX.as 文件
)

# 将NEB计算路径下的构型链转成xyz格式文件
write_xyz_chain(
    preview=False,  # NEB计算如果已经完成，则可以不是预览模式
    directory="dspawpy_proj/dspawpy_tests/inputs/2.15",  # NEB计算目录
    step=-1,  # 默认保存最后一个离子步（最新）的构型链
    dst="dspawpy_proj/dspawpy_tests/outputs/us/8neb",  # 保存路径
    ignorels=False,  # 设为True则忽略 latestStructureXX.as 文件
)
